Memaid

Karamba & Superkaramba

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5 .0
Description:

This is a widget that is client for Memaid. MemAid is like a traditional flash-card program to help you memorise question/answer pairs, but with an important twist: it uses a neural network to schedule the best time for an item to come up for review. Difficult items that you tend to forget quickly will be scheduled more often, while MemAid won't waste your time on things you remember well. This means your learning process becomes much more efficient, also because the neural network gradually adapts to your personal memory model.
Last changelog:

15 years ago

0.2.5:

- more bug fixes to work with recent versions of PyQt
- fix time offset bug when importing XML

0.2.4:

- fix small bug in item scheduling code.
- fix category corruption when switching databases or doing XML
import/export.
- honour the font setting in the input and edit dialogs.
- update code to work with Superkaramba 0.36. Unicode is still a problem,
though.
- improve XML importing and exporting (Jarno Elonen)
- pressing the 'find' button repeatedly will scroll through all occurences
of the string in the list now (Jarno Elonen).
- automatic import of pre-0.2.3 databases (Jarno Elonen)

zvonSully

15 years ago

this is the console output
__>
~$ superkaramba
QTextBrowser: no mimesource for //home/zvonsully/.superkaramba/newestThemes.html
QTextBrowser: no mimesource for //home/zvonsully/.superkaramba/newestThemes.html
Loaded MemAid widget.
Call to initWidget failed
Traceback (most recent call last):
File "/usr/share/memaid-pyqt/superkaramba/memaid_superkaramba.py", line 292, in initWidget
setMenuConfigOption(widget, "load", "1")
TypeError: an integer is required

Report

sscharrer

15 years ago

I also got some of these 'integer is required' errors...

To fix it, just edit the memaid_superkaramba.py script and give it what it's asking for.

i.e. change this:
    setMenuConfigOption(widget, "load", "1")
to this:
    setMenuConfigOption(widget, "load", 1)

Don't be discouraged if after doing this a new, similar error pops up... Just work through them one by one, it won't be too many

Report

anonymous-hive

17 years ago

RedHat 9

When I run make, I get this:
...
Generating wrappers for Python
memaid_core.i : Line 274. Variable length arguments not supported (ignored).
memaid_core.i : Line 274. Unable to use type as a function argument.
memaid_core.i : Line 280. Variable length arguments not supported (ignored).
memaid_core.i : Line 280. Unable to use type as a function argument.
make[1]: *** [python] Error 2

Report

C

pbienst

17 years ago

Try 0.1.2, it doesn't require SWIG anymore to build.

Report

desau

17 years ago

Yep -- works now. Thanks!

Report

desau

17 years ago

RedHat 9

When I run make, I get this:
...
Generating wrappers for Python
memaid_core.i : Line 274. Variable length arguments not supported (ignored).
memaid_core.i : Line 274. Unable to use type as a function argument.
memaid_core.i : Line 280. Variable length arguments not supported (ignored).
memaid_core.i : Line 280. Unable to use type as a function argument.
make[1]: *** [python] Error 2

Report

C

pbienst

17 years ago

Try 0.1.2, it doesn't require SWIG anymore to build

Report

C

pbienst

17 years ago

What versions are you using?

I use Python 2.2.3, gcc 3.2.2, and swig 1.3.19, and I don't have any problems.

Report

JohnFlux

17 years ago

Hi.

It's not clear from the summary how you do the notification - to get the user to look when it thinks you should answer a new question.

Report

C

pbienst

17 years ago

Well, the entire point of the widget is to be as discreet as possible and not interrupt your current work by popping up a dialog box.

The widget will wait patiently until you stumble across it again and answer the question.

Do you think a configurable option to pop up a dialog box would be useful? I could probably add something like that to a next release.

Report

15 years ago

0.2.5:

- more bug fixes to work with recent versions of PyQt
- fix time offset bug when importing XML

0.2.4:

- fix small bug in item scheduling code.
- fix category corruption when switching databases or doing XML
import/export.
- honour the font setting in the input and edit dialogs.
- update code to work with Superkaramba 0.36. Unicode is still a problem,
though.
- improve XML importing and exporting (Jarno Elonen)
- pressing the 'find' button repeatedly will scroll through all occurences
of the string in the list now (Jarno Elonen).
- automatic import of pre-0.2.3 databases (Jarno Elonen)

12345678910
product-maker Base: 4 x 5.0 Ratings
Be the first to comment
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.2.5
updated Oct 13 2005
added Oct 18 2003
downloads 24h
0
mediaviews 24h 0
pageviews 24h 0